Opdateret Debian 8: 8.5 udgivet

4. juni 2016

Debian-projektet er stolt over at kunne annoncere den femte opdatering af dets stabile distribution, Debian 8 (kodenavn jessie). Denne opdatering indeholder primært rettelser af sikkerhedsproblemer i den stabile udgave, sammen med nogle få rettelser af alvorlige problemer. Sikkerhedsbulletiner er allerede udgivet separat og der vil blive refereret til dem, hvor de er tilgængelige.

Bemærk at denne opdatering ikke er en ny udgave af Debian GNU/Linux 8, den indeholder blot opdateringer af nogle af de medfølgende pakker. Der er ingen grund til at smide jessie-cd'er eller -dvd'er væk, opdatér i stedet mod et ajourført Debian-filspejl efter en nyinstallering, for at få de seneste ændringer med.

Dem der hyppigt opdaterer fra security.debian.org, behøver ikke at opdatere ret mange pakker, og de fleste opdateringer fra security.debian.org er indeholdt i denne opdatering.

Nye installeringsmedier samt cd- og dvd-aftryk indeholdende opdaterede pakker, vil snart være tilgængelige fra de sædvanlige steder.

Online-opdatering til denne revision gøres normalt ved at lade pakkehåndteringsværktøjet aptitude (eller apt, se manualsiden sources.list(5) ) pege på et af Debians mange ftp- eller http-filspejle. En omfattende liste over filspejle er tilgængelig på:

https://www.debian.org/mirror/list

Forskellige fejlrettelser

Denne opdatering til den stabile udgave tilføjer nogle få vigtige rettelser til følgende pakker:

Pakke Årsag
autofs Fjerner sporadisk debuguddata fra logfiler
bareos Retter GnuTLS-backendinitialisering, TLS-forhandling for passive fildæmoner
base-files Opdateret til denne punktudgivelse
chrony Retter CVE-2016-1567: Begrænser autentifikation af server/peer til angivet nøgle; fjerner kun /var/lib/chrony ved purge; omarbejder logrotationskriptet postrotate
clamav Ny opstrømsudgave
cyrus-imapd-2.4 Dropper defekt understøttelse af caldav
debian-edu Tilføjer libdns-mdns til tasks/desktop-other og tasks/main-server for at gøre CUPS-gennemsyn virkelig funktionelt; tilføjer avahi-discover, mdns-scan, avahi-autoipd og kdnssd til tasks/main-server som foreslåede pakker
debian-edu-config Tilbagefører forskellige fejlrettelser
debian-edu-doc Opdaterer wheezy- og jessie-dokumentation
debian-edu-install Opdaterer versionsnummer til 8+edu0
debian-installer Genopbygger mod proposed-updates; tilføjer sata-modules til arm64 - nogle maskiner har SATA-CD
debian-installer-netboot-images Genopbygger mod ny debian-installer; erstatter d-i Built-Using med installerhentning, for at kunne fejlene tidligere ved uoverensstemmelse mellem versioner
dpkg Tilføjer flere Conflicts for fjernede pakker, som forudsætter at dpkg leverer install-info; fjerner afsluttende mellemrum før håndtering af blank linje dot-adskiller i Dpkg::Control::HashCore. Regression opstået i dpkg 1.17.25; anvend kun SHELL-miljøvariabler i interaktive shells; flytter tar-valgmuligheden --no-recursion hen før -T i dpkg-deb; initaliserer også Config-Version for pakker, der tidligere var i tilstanden triggers-pending; retter hukommelseslækage i dpkg's logik til opgradering af infodb-formatet; retter fysisk fil-offsetsammligning i dpkg; tilføjer understøttelse af kfreebsd-armhf til ostable og triplettable; til understøttelse af NIOS2 til cputable
evince Retter nedbrud når dokument har fået fjernet sider og bliver genindlæst, og når et nyligt dokument ikke kan indlæses
ext4magic Retter en problem, der gør det umuligt at gendanne eller undersøge Ext4-filsystemer
fusionforge Deaktiverer mediawiki-plugin, da mediawiki fjernes
gitolite3 Aktiverer repositorystier uden '~/' i git-annex-shell
glusterfs Tilføjer manglende glusterd-hookskript til pakken glusterfs-server
gosa Flere fejlrettelser
gpa Retter kontrol af returværdier fra dialog
groovy Retter fjernudførelse af kode, der ikke er tillid til, samt muligt lammelsesangreb (DoS) [CVE-2015-3253]
hexchat Verificerer værtsnavne når ssl anvendes
hivex Retter installering af ruby-hivex
icedove Retter opbygningsfejl på mips; retter opbygning på arm{el,hf}
icedtea-web Ny opstrømsudgave, retter CVE-2015-5235 og CVE-2015-5234
initramfs-tools Medtager drivers/nvme i blockdrivermoduler; opretter ORDER-filer selv hvis der ikke er nogen gyldige skripter
libcrypto++ Retter foranstaltninger mod Rijndael-timingangreb [CVE-2016-3995]
libdatetime-timezone-perl Opdaterer til tzdata 2016d
libksba Afbryd ikke ved stakoverløb i dekoder [CVE-2016-4353]; retter heltalsoverløb i BER-dekoder (CVE-2016-4354 CVE-2016-4355), enkodning af ugyldige utf-8-strenge i dn.c [CVE-2016-4356], OOB-læseadgang i _ksba_dn_to_str, mulig læseadgang ud over bufferen [CVE-2016-4579]
libreoffice Retter opbygningsfejl på ppc64el, på grund af ændringer i OpenJDK; retter logik til ikke at installere lydfiler
linux Tilbageruller nogle ændringer i 3.16.7-ckt25-1, der kunne give problemer på nogle systemer med Radeon-grafikkort, og når der indsættes en USB-enhed
lvm2 Opsætter standard-pid-mappe til /run
mathematica-fonts Opdaterer til ny opstrømsfilversion (10); nu er kun TrueType-skrifttyper tilgængelige; tilføjer manglende afhængighed på wget
nam Build-Depend på tcl / tk >= 8.6
ngspice Kører lyx med en midlertidig -userdir for ikke at være afhængig af $HOME
nlpsolver Tilføjer manglende Depends: på libreoffice-java-common
nmap Retter versioneret breaks/replaces; håndterer ubrugelig socks-proxy; ignorerer ikke-enumerable interfaces; fjerner ndiff.py fra zenmap til ndiff
opam Retter usikker certifikathåndtering
openjdk-7 Retter opbygningsfejl på arm{el,hf}
openssl Opdaterer udløbne certifikater, som anvendes af testsuiten; opdaterer til den stabile udgave 1.0.1t; anvend alternative trust-kæder; anvend korrekt digest når nøgleringsmateriale eksporteres; sikkerhedsrettelser [CVE-2015-3197 CVE-2015-1793]
pepperflashplugin-nonfree Opdaterer Googles offentlige nøgle; fjern 32 bit-understøttelse
perl Udfører valgte fejlrettelsespatches taget fra 5.20.3; retter debugperl-nedbrud med XS-moduler; CVE-2015-8853 retter hængende regexp-motor ved ugyldige UTF8-inddata; retter UTF8-relateret nedbrud i regexp-motor
postgresql-9.1 Ny opstrømsudgave
postgresql-9.4 Ny opstrømsudgave
quota Ændrer kald af quota-tjenester, så systemd overtager det mest af arbejdet
redmine Load all database drivers for all Redmine instances
tklib Retter slåfejl i Plotchart-version som forhindrede dens indlæsning
tzdata Ny opstrømsudgave
wmforecast Opdaterer til nyt vejr-API fra Yahoo!
xapian-core Retter mulig databasekorruption, særligt med recoll
xarchiver Retter nedbrud når der forsøges at afbryde udpak her i plugin'en Thunar
xscreensaver Fjerner advarsel om forældet version
zendframework Retter regression fra ZF2015-08: korruption af binære data; retter ZF2016-01: Potential Insufficient Entropy Vulnerability i ZF1

Sikkerhedsopdateringer

Denne revision tilføjer følgende sikkerhedsopdateringer til den stabile udgave. Sikkerhedsteamet har allerede udgivet bulletiner for hver af de nævnte opdateringer:

Bulletin-id Pakke(r)
DSA-3410 icedove-l10n
DSA-3410 iceowl-l10n
DSA-3410 enigmail
DSA-3410 icedove
DSA-3432 icedove
DSA-3473 nginx
DSA-3476 postgresql-9.4
DSA-3482 libreoffice
DSA-3485 didiwiki
DSA-3491 icedove
DSA-3495 xymon
DSA-3520 icedove
DSA-3530 tomcat6
DSA-3533 openvswitch
DSA-3535 kamailio
DSA-3537 imlib2
DSA-3538 libebml
DSA-3539 srtp
DSA-3540 lhasa
DSA-3542 mercurial
DSA-3543 oar
DSA-3544 python-django
DSA-3545 cgit
DSA-3546 optipng
DSA-3549 chromium-browser
DSA-3550 openssh
DSA-3552 tomcat7
DSA-3554 xen
DSA-3555 imlib2
DSA-3556 libgd2
DSA-3557 mysql-5.5
DSA-3558 openjdk-7
DSA-3559 iceweasel
DSA-3560 php5
DSA-3561 subversion
DSA-3562 tardiff
DSA-3563 poppler
DSA-3564 chromium-browser
DSA-3565 pdns
DSA-3565 ovito
DSA-3565 botan1.10
DSA-3565 softhsm
DSA-3565 qtcreator
DSA-3566 openssl
DSA-3567 libpam-sshauth
DSA-3568 libtasn1-6
DSA-3569 openafs
DSA-3570 mercurial
DSA-3571 ikiwiki
DSA-3572 websvn
DSA-3573 qemu
DSA-3574 libarchive
DSA-3575 libxstream-java
DSA-3576 icedove
DSA-3577 jansson
DSA-3578 libidn
DSA-3579 xerces-c
DSA-3580 imagemagick
DSA-3581 libndp
DSA-3582 expat
DSA-3583 swift-plugin-s3
DSA-3584 librsvg
DSA-3585 wireshark
DSA-3586 atheme-services
DSA-3587 libgd2

Fjernede pakker

Følgende pakker er blevet fjernet på grund af omstændigheder uden for vores kontrol:

Pakke Årsag
lyz Afhængig af zotero-standalone-build som fjernes
mediawiki Sikkerhedsopdateres ikke længere
mediawiki-math Afhængig af mediawiki som fjernes
zotero-standalone-build Ubrugelig i jessie
Fjernelsen af mediawiki gør metapakken fusionforge-full uinstallerbar i jessie. Det blev desværre ikke opdateret i tide, så det kunne blive rettet i forbindelse med punktopdateringen, men vil snart blive løst gennem jessie-updates soon.

Debian Installer

Installeringsprogrammet er opdateret for at medtage rettelser indført i stable, i denne punktopdatering.

URL'er

Den komplette liste over pakker, som er ændret i forbindelse med denne revision:

http://ftp.debian.org/debian/dists/jessie/ChangeLog

Den aktuelle stabile distribution:

http://ftp.debian.org/debian/dists/stable/

Foreslåede opdateringer til den stabile distribution:

http://ftp.debian.org/debian/dists/proposed-updates

Oplysninger om den stabile distribution (udgivelsesbemærkninger, fejl, osv.):

https://www.debian.org/releases/stable/

Sikkerhedsannonceringer og -oplysninger:

https://security.debian.org/

Om Debian

Debian-projektet er en organisation af fri software-udviklere som frivilligt bidrager med tid og kræfter, til at fremstille det helt frie styresystem Debian GNU/Linux.

Kontaktoplysninger

For flere oplysninger, besøg Debians websider på https://www.debian.org/ eller send e-mail på engelsk til <press@debian.org> eller kontakt holdet bag den stabile udgave på <debian-release@debian.org>.